QGIS Application - Bug report #9222
WMTS being interpolated at native scale
2013-12-17 07:50 AM - Jonathan Moules

Status: Closed

Priority: Normal

Assignee:

Category: Web Services clients/WMS

Affected QGIS version:master Regression?: No
Operating System: Easy fix?: No

Pull Request or Patch supplied: Resolution: duplicate
Crashes QGIS or corrupls data: Copied to github as #: 17843
Description

1) Create a new project in EPSG:27700

2) Add WMTS http://maps.warwickshire.gov.uk/gs/gwc/service/wmts?REQUEST=GetCapabilities - looking at the
"z_OS_vector_basemap" tileset

3) Go to Coventry, at scale 1:150,000.

The tile's being returned look like this:
http://maps.warwickshire.gov.uk/gs/gwc/service/wmts?SERVICE=WMTS&#38;REQUEST=GetTile&#38;VERSION=1.0.0&#38;LAYER
z OS Vector Basemap&#38;STYLE=default&#38;FORMAT=image/png&#38;TILEMATRIXSET=UK OSGB&#38;TILEMATRIX=UK O

SGB:6¢

SGB:68&#38; TILEROW=95&#38;TILECOL=40

However, QGIS renders them like the attached. As you can see in the GetCapabilities, 1:150,000 is a native resolution for the tiles, so no
interpolation/image modification is necessary, yet QGIS seems to be doing it anyway. This happens at all native resolutions as best | can
tell.

Related issues:

Related to QGIS Application - Bug report # 6430: QGIS doesn't conform to WMS... Closed 2012-09-28

History

#1 - 2013-12-17 08:00 AM - Jiirgen Fischer

The tiles are 1:150000 at which resolution (note that QGIS scale is calculated on screen resolution, not on the arbitrary resolution in the WMS spec; see

also #6430)?

#2 - 2013-12-17 08:33 AM - Jonathan Moules

Ok. The tiles are rendered at WMS spec resolution (so 90.7142367 dpi).

| get the premise of linked bug, however as OpenLayers (and any web-browser or image viewing app) can display the exact same tiles just fine on the

exact same screen, I'm assuming there's a way for QGIS to do so. But that's heading well out of my depth.

#3 - 2013-12-17 08:44 AM - Jiirgen Fischer

Jonathan Moules wrote:

Ok. The tiles are rendered at WMS spec resolution (so 90.7142367 dpi).

| get the premise of linked bug, however as OpenlLayers (and any web-browser or image viewing app) can display the exact same tiles just fine on

the exact same screen, I'm assuming there's a way for QGIS to do so. But that's heading well out of my depth.
http://maps.warwickshire.gov.uk/gs/gwc/service/wmts?REQUEST=GetCapabilities
http://maps.warwickshire.gov.uk/gs/gwc/service/wmts?SERVICE=WMTS&#38;REQUEST=GetTile&#38;VERSION=1.0.0&#38;LAYER=z_OS_Vector_Basemap&#38;STYLE=default&#38;FORMAT=image/png&#38;TILEMATRIXSET=UK_OSGB&#38;TILEMATRIX=UK_OSGB:6&#38;TILEROW=95&#38;TILECOL=40
http://maps.warwickshire.gov.uk/gs/gwc/service/wmts?SERVICE=WMTS&#38;REQUEST=GetTile&#38;VERSION=1.0.0&#38;LAYER=z_OS_Vector_Basemap&#38;STYLE=default&#38;FORMAT=image/png&#38;TILEMATRIXSET=UK_OSGB&#38;TILEMATRIX=UK_OSGB:6&#38;TILEROW=95&#38;TILECOL=40
http://maps.warwickshire.gov.uk/gs/gwc/service/wmts?SERVICE=WMTS&#38;REQUEST=GetTile&#38;VERSION=1.0.0&#38;LAYER=z_OS_Vector_Basemap&#38;STYLE=default&#38;FORMAT=image/png&#38;TILEMATRIXSET=UK_OSGB&#38;TILEMATRIX=UK_OSGB:6&#38;TILEROW=95&#38;TILECOL=40

Sure. But the 1:1 pixel mapping is not at 1:150000, but on a different scale.

#4 - 2013-12-17 08:58 AM - Jonathan Moules

Sorry if I'm missing something here, but the OpenLayers scale is 1:150,000 too.

| appreciate you're both using different pixel sizes, but is there a way to change the pixel size that QGIS uses, at least for OGC WMS requests?

#5 - 2013-12-18 12:50 AM - Jiirgen Fischer

Jonathan Moules wrote:

| appreciate you're both using different pixel sizes, but is there a way to change the pixel size that QGIS uses, at least for OGC WMS requests?

No, the pixel size is a hardware setting.
And the scale reported in QGIS sets the real world size of an object in relation to the shown size on screen no matter what the pixel size / resolution of the

used screenis. The WMS spec just defines some (more or less) common pixel size to make (approximate) scales available for configuration purposes,

although it doesn't know for which actually resolution the images are going to be used (see also #6430).

#6 - 2014-02-09 01:28 AM - Jiirgen Fischer
- Resolution set to duplicate

duplicate of #6430

#7 - 2014-02-09 01:28 AM - Jiirgen Fischer

- Status changed from Open to Closed
